package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFX81Response {

    @Parameter(name = "BONUS_Castka_OFFERED")
    Double bONUSCastkaOFFERED();

    @Parameter(name = "BONUS_CelkovaVyse_OFFERED")
    Double bONUSCelkovaVyseOFFERED();

    @Parameter(name = "BONUS_PeriodaVyplaceniBonusu_OFFERED")
    String bONUSPeriodaVyplaceniBonusuOFFERED();

    @Parameter(name = "BONUS_TypVyplaceniBonusu_OFFERED")
    String bONUSTypVyplaceniBonusuOFFERED();

    @Parameter(name = "CERP_BONUS_CelkovaCastka_OFFERED")
    Double cERPBONUSCelkovaCastkaOFFERED();

    @Parameter(name = "CERP_BONUS_PocetSplatek_OFFERED")
    Long cERPBONUSPocetSplatekOFFERED();

    @Parameter(name = "CERP_BONUS_RPSN_OFFERED")
    Double cerpBonusRpsnOffered();

    @Parameter(name = "CERP_BONUS_UrokovaSazba_OFFERED")
    Double cERPBONUSUrokovaSazbaOFFERED();

    @Parameter(name = "CERP_BONUS_VysePosledniSplatky_OFFERED")
    Double cERPBONUSVysePosledniSplatkyOFFERED();

    @Parameter(name = "CERP_CelkovaSplatnaCastka_OFFERED")
    Double cERPCelkovaSplatnaCastkaOFFERED();

    @Parameter(name = "CERP_PocetSplatek_OFFERED")
    Long cERPPocetSplatekOFFERED();

    @Parameter(name = "CERP_RPSN_OFFERED")
    Double cerpRpsnOffered();

    @Parameter(name = "CERP_UrokovaSazba_OFFERED")
    Double cERPUrokovaSazbaOFFERED();

    @Parameter(name = "CERP_VysePosledniSplatky_OFFERED")
    Double cERPVysePosledniSplatkyOFFERED();

    @Parameter(name = "CastkaPrvnihoCerpani_OFFERED")
    Double castkaPrvnihoCerpaniOFFERED();

    @Parameter(name = "CastkaPrvnihoCerpani_REQUESTED")
    Double castkaPrvnihoCerpaniREQUESTED();

    @Parameter(name = "CelkovaSplatnaCastka_OFFERED")
    Double celkovaSplatnaCastkaOFFERED();

    @Parameter(name = "CelkovaSplatnaCastka_REQUESTED")
    Double celkovaSplatnaCastkaREQUESTED();

    @Parameter(name = "DECIS_REASON_CODE_REQUESTED")
    String decisReasonCodeRequested();

    @Parameter(name = "DECIS_REASON_TEXT_REQUESTED")
    String decisReasonTextRequested();

    @Parameter(name = "Data")
    java.util.List<MWFX81Data> data();

    @Parameter(name = "Date_REQUESTED")
    java.util.Date dateREQUESTED();

    @Parameter(name = "DatumPravidelnePlatby_OFFERED")
    Long datumPravidelnePlatbyOFFERED();

    @Parameter(name = "DatumPravidelnePlatby_REQUESTED")
    Long datumPravidelnePlatbyREQUESTED();

    @Parameter(name = "DatumPrvniSplatky")
    java.util.Date datumPrvniSplatky();

    @Parameter(name = "DokladPredkladanyKategorie_1")
    String dokladPredkladanyKategorie1();

    @Parameter(name = "DokladPredkladanyKategorie_2")
    String dokladPredkladanyKategorie2();

    @Parameter(name = "DokladPredkladanyKategorie_3")
    String dokladPredkladanyKategorie3();

    @Parameter(name = "DokladPredkladanyKategorie_4")
    String dokladPredkladanyKategorie4();

    @Parameter(name = "DokladPredkladanyKategorie_5")
    String dokladPredkladanyKategorie5();

    @Parameter(name = "DokladPredkladanyUcel_1")
    String dokladPredkladanyUcel1();

    @Parameter(name = "DokladPredkladanyUcel_2")
    String dokladPredkladanyUcel2();

    @Parameter(name = "DokladPredkladanyUcel_3")
    String dokladPredkladanyUcel3();

    @Parameter(name = "DokladPredkladanyUcel_4")
    String dokladPredkladanyUcel4();

    @Parameter(name = "DokladPredkladanyUcel_5")
    String dokladPredkladanyUcel5();

    @Parameter(name = "DokladPredkladanyZdroj_1")
    String dokladPredkladanyZdroj1();

    @Parameter(name = "DokladPredkladanyZdroj_2")
    String dokladPredkladanyZdroj2();

    @Parameter(name = "DokladPredkladanyZdroj_3")
    String dokladPredkladanyZdroj3();

    @Parameter(name = "DokladPredkladanyZdroj_4")
    String dokladPredkladanyZdroj4();

    @Parameter(name = "DokladPredkladanyZdroj_5")
    String dokladPredkladanyZdroj5();

    @Parameter(name = "DokladPredkladany_INST_PT_KEY_1")
    Long dokladPredkladanyINSTPTKEY1();

    @Parameter(name = "DokladPredkladany_INST_PT_KEY_2")
    Long dokladPredkladanyINSTPTKEY2();

    @Parameter(name = "DokladPredkladany_INST_PT_KEY_3")
    Long dokladPredkladanyINSTPTKEY3();

    @Parameter(name = "DokladPredkladany_INST_PT_KEY_4")
    Long dokladPredkladanyINSTPTKEY4();

    @Parameter(name = "DokladPredkladany_INST_PT_KEY_5")
    Long dokladPredkladanyINSTPTKEY5();

    @Parameter(name = "DokladPredkladany_KEY_1")
    Long dokladPredkladanyKEY1();

    @Parameter(name = "DokladPredkladany_KEY_2")
    Long dokladPredkladanyKEY2();

    @Parameter(name = "DokladPredkladany_KEY_3")
    Long dokladPredkladanyKEY3();

    @Parameter(name = "DokladPredkladany_KEY_4")
    Long dokladPredkladanyKEY4();

    @Parameter(name = "DokladPredkladany_KEY_5")
    Long dokladPredkladanyKEY5();

    @Parameter(name = "DruhPojisteni_OFFERED")
    String druhPojisteniOFFERED();

    @Parameter(name = "DruhPojisteni_REQUESTED")
    String druhPojisteniREQUESTED();

    @Parameter(name = "KodProduktuSales_OFFERED")
    String kodProduktuSalesOFFERED();

    @Parameter(name = "KodProduktuSales_REQUESTED")
    String kodProduktuSalesREQUESTED();

    @Parameter(name = "KodProduktu_OFFERED")
    String kodProduktuOFFERED();

    @Parameter(name = "KodProduktu_REQUESTED")
    String kodProduktuREQUESTED();

    @Parameter(name = "MesicniPlatbaPojisteni_OFFERED")
    Double mesicniPlatbaPojisteniOFFERED();

    @Parameter(name = "MesicniPlatbaPojisteni_REQUESTED")
    Double mesicniPlatbaPojisteniREQUESTED();

    @Parameter(name = "MesicniSplatka_OFFERED")
    Double mesicniSplatkaOFFERED();

    @Parameter(name = "MesicniSplatka_REQUESTED")
    Double mesicniSplatkaREQUESTED();

    @Parameter(name = "OdkladSplatek_OFFERED")
    Long odkladSplatekOFFERED();

    @Parameter(name = "OdkladSplatek_REQUESTED")
    Long odkladSplatekREQUESTED();

    @Parameter(name = "Pocet")
    Long pocet();

    @Parameter(name = "PocetSplatek_OFFERED")
    Long pocetSplatekOFFERED();

    @Parameter(name = "PocetSplatek_REQUESTED")
    Long pocetSplatekREQUESTED();

    @Parameter(name = "Poplatek_PBT_OFFERED")
    Double poplatekPBTOFFERED();

    @Parameter(name = "Poplatek_PBT_REQUESTED")
    Double poplatekPBTREQUESTED();

    @Parameter(name = "Poplatek_PoskytnutiUveru_OFFERED")
    Double poplatekPoskytnutiUveruOFFERED();

    @Parameter(name = "Poplatek_PoskytnutiUveru_REQUESTED")
    Double poplatekPoskytnutiUveruREQUESTED();

    @Parameter(name = "Poplatek_VedeniBU_OFFERED")
    Double poplatekVedeniBUOFFERED();

    @Parameter(name = "Poplatek_VedeniBU_REQUESTED")
    Double poplatekVedeniBUREQUESTED();

    @Parameter(name = "Poplatek_VedeniUU_OFFERED")
    Double poplatekVedeniUUOFFERED();

    @Parameter(name = "Poplatek_VedeniUU_REQUESTED")
    Double poplatekVedeniUUREQUESTED();

    @Parameter(name = "RPSN_OFFERED")
    Double rpsnOffered();

    @Parameter(name = "RPSN_REQUESTED")
    Double rpsnRequested();

    @Parameter(name = "State_REQUESTED")
    String stateREQUESTED();

    @Parameter(name = "TypSlevy")
    String typSlevy();

    @Parameter(name = "UUObjektUveru")
    String uUObjektUveru();

    @Parameter(name = "UrokZProdleni")
    Double urokZProdleni();

    @Parameter(name = "UrokovaSazba_OFFERED")
    Double urokovaSazbaOFFERED();

    @Parameter(name = "UrokovaSazba_REQUESTED")
    Double urokovaSazbaREQUESTED();

    @Parameter(name = "VydatKartuKUveru")
    String vydatKartuKUveru();

    @Parameter(name = "VysePosledniSplatky_OFFERED")
    Double vysePosledniSplatkyOFFERED();

    @Parameter(name = "VyseUveru_OFFERED")
    Double vyseUveruOFFERED();

    @Parameter(name = "VyseUveru_REQUESTED")
    Double vyseUveruREQUESTED();

    @Parameter(name = "WEB_Banner")
    String wEBBanner();

    @Parameter(name = "WEB_Partner_ID")
    String wEBPartnerID();

}